Package org.apache.batchee.container.impl.jobinstance

## Class RuntimeFlowInSplitExecution

- java.lang.Object
- - org.apache.batchee.container.impl.jobinstance.RuntimeJobExecution
  - - org.apache.batchee.container.impl.jobinstance.RuntimeFlowInSplitExecution

-     public class RuntimeFlowInSplitExecution
      extends RuntimeJobExecution

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimeFlowInSplitExecution​(javax.batch.runtime.JobInstance jobInstance, long executionId, PersistenceManagerService manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionStatus` | `getFlowStatus()` |
    `void` | `setFlowStatus​(ExecutionStatus flowStatus)` |

    - ### Methods inherited from class org.apache.batchee.container.impl.jobinstance.RuntimeJobExecution

      `addReleasable, getBatchStatus, getCreateTime, getEndTime, getExecutionId, getExitStatus, getInstanceId, getJobContext, getJobInstance, getJobNavigator, getJobOperatorJobExecution, getJobParameters, getLastUpdatedTime, getListenerFactory, getPartitionInstance, getReleasables, getRestartOn, getStartTime, inheritJobContext, prepareForExecution, prepareForExecution, setBatchStatus, setCreateTime, setEndTime, setExitStatus, setJobParameters, setLastUpdateTime, setListenerFactory, setPartitionInstance, setRestartOn, setStartTime, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeFlowInSplitExecution

          public RuntimeFlowInSplitExecution​(javax.batch.runtime.JobInstance jobInstance,
                                             long executionId,
                                             PersistenceManagerService manager)

  - ### Method Detail

    - #### getFlowStatus

          public ExecutionStatus getFlowStatus()

    - #### setFlowStatus

          public void setFlowStatus​(ExecutionStatus flowStatus)